package nckd.odc.nckd_homs_ext;

import kd.bos.dataentity.TypesContainer;
import kd.bos.dataentity.resource.ResManager;

import java.util.HashMap;
import java.util.Map;

public class ServiceFactory {

    private static Map<String, String> serviceMap = new HashMap<>();
    static {
        serviceMap.put("IDealOrgLongNameService","nckd.jimin.jyyy.hr.haos.msg.impl.DealOrgLongNameServiceImpl");
    }

    public static Object getService(String serviceName) {
        String className = serviceMap.get(serviceName);
        if (className == null) {
            throw new RuntimeException(String.format(ResManager.loadKDString("%s对应的服务实现未找到", "ServiceFactory_0", "jkjt-tmc-servicehelper", new Object[0]), serviceName));
        } else {
            return TypesContainer.getOrRegisterSingletonInstance(className);
        }
    }
}
